<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li class="current"><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_t"></a>- t -</h3><ul>
<li>taggedBcast()
: <a class="el" href="classTIGLCommunicationManager.html#a5ea1040f1fa41c905e72e96800e13c3f">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>testMpiMutationManagerModule()
: <a class="el" href="classTIGLApiTester.html#a5c78bf9268bba7e3603466bc45bba2a9">TIGLApiTester&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>testMutationManagerModule()
: <a class="el" href="classTIGLApiTester.html#a97fa334a3aa9c52e3aef64ea1849a519">TIGLApiTester&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>TIGL()
: <a class="el" href="classTIGL.html#a7a881a9ea2c7de238e2bc5cb05549bbb">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>TIGLApiCombiner()
: <a class="el" href="classTIGLApiCombiner.html#a2077cdeab13cdf1c3baa234080da70f4">TIGLApiCombiner&lt; ALG_MESSAGE_TYPE &gt;</a>
</li>
<li>TIGLApiMessage()
: <a class="el" href="classTIGLApiMessage.html#a1bcf230cbd34f3ea11b0a19e6e8c46bb">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a>
</li>
<li>TIGLApiTester()
: <a class="el" href="classTIGLApiTester.html#abd94a03f393df87c989b5aca4e26c98f">TIGLApiTester&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>TIGLApiVertex()
: <a class="el" href="classTIGLApiVertex.html#a396f16eeb0b3b320cb8486f96fb84b87">TIGLApiVertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a>
</li>
<li>TIGLCommunicationManager()
: <a class="el" href="classTIGLCommunicationManager.html#a15791d455909553fd8f3a6626f79b449">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>TIGLCommunicationMessageDev()
: <a class="el" href="structTIGLCommunicationMessageDev.html#abce41176d7b2808b745c94d99f542c63">TIGLCommunicationMessageDev</a>
</li>
<li>TIGLCommunicationSysMessage()
: <a class="el" href="classTIGLCommunicationSysMessage.html#a20946f6bc1a04fed8757ef9552a825b7">TIGLCommunicationSysMessage</a>
</li>
<li>TIGLComputationManager()
: <a class="el" href="classTIGLComputationManager.html#a879099d2e308b25450cc7d1d3016ca4f">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>TIGLContainersSubgraph()
: <a class="el" href="classTIGLContainersSubgraph.html#a9fcc5b18192a6b051233f5638116a063">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>TIGLContainersSubgraphBase()
: <a class="el" href="classTIGLContainersSubgraphBase.html#aa808fe135a0ae28b9b9538254b267d81">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>
</li>
<li>TIGLContainersVertexBase()
: <a class="el" href="classTIGLContainersVertexBase.html#a0c2b931b7f439a72da6baaadbb6f753d">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>
</li>
<li>txTask()
: <a class="el" href="classTIGL.html#a21583ccd06b1c3eb7115df8e9518353b">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:14:00 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
